Package org.apache.solr.common.params

# Enum Class ConfigSetParams.ConfigSetAction

java.lang.Object
java.lang.Enum<ConfigSetParams.ConfigSetAction>
org.apache.solr.common.params.ConfigSetParams.ConfigSetAction

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigSetParams.ConfigSetAction>`, `java.lang.constant.Constable`

Enclosing interface:
  `ConfigSetParams`

public static enum ConfigSetParams.ConfigSetAction extends Enum<ConfigSetParams.ConfigSetAction>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE`
`DELETE`
`LIST`
`UPLOAD`

## Method Summary

Modifier and Type
Method
Description
`static ConfigSetParams.ConfigSetAction`
`get(String p)`
`boolean`
`isEqual(String s)`
`String`
`toLower()`
`static ConfigSetParams.ConfigSetAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConfigSetParams.ConfigSetAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE

public static final ConfigSetParams.ConfigSetAction CREATE

### UPLOAD

public static final ConfigSetParams.ConfigSetAction UPLOAD

### DELETE

public static final ConfigSetParams.ConfigSetAction DELETE

### LIST

public static final ConfigSetParams.ConfigSetAction LIST

## Method Details

### values

public static ConfigSetParams.ConfigSetAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConfigSetParams.ConfigSetAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ConfigSetParams.ConfigSetAction get(String p)

### isEqual

public boolean isEqual(String s)

### toLower

public String toLower()